Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.event.authentication
Class InteractiveAuthenticationSuccessEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.context.ApplicationEvent
              org.acegisecurity.event.authentication.AbstractAuthenticationEvent
                  org.acegisecurity.event.authentication.InteractiveAuthenticationSuccessEvent

All Implemented Interfaces:
  Serializable

    public class InteractiveAuthenticationSuccessEvent

extends AbstractAuthenticationEvent

Indicates an interactive authentication was successful.

The `ApplicationEvent`'s `source` will be the `Authentication` object.

Version:
  $Id: InteractiveAuthenticationSuccessEvent.java,v 1.2 2005/11/17 00:55:48 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`InteractiveAuthenticationSuccessEvent(Authentication authentication, Class generatedBy)`

Method Summary
`Class` | `getGeneratedBy()` Getter for the `Class` that generated this event.

Methods inherited from class org.acegisecurity.event.authentication.AbstractAuthenticationEvent
`getAuthentication`

Methods inherited from class org.springframework.context.ApplicationEvent
`getTimestamp`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InteractiveAuthenticationSuccessEvent

    public InteractiveAuthenticationSuccessEvent(Authentication authentication,
                                                 Class generatedBy)

Method Detail

### getGeneratedBy

    public Class getGeneratedBy()

  Getter for the `Class` that generated this event. This can be useful for generating additional logging information.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.